%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-poyo
Version:       0.5.0
Release:       2mamba
Summary:       A lightweight YAML Parser for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/hackebrot/poyo
Source:        https://pypi.debian.net/poyo/poyo-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n poyo-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Mon Jul 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-2mamba
- rebuilt with python 3.10

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- package created using the webbuild interface
